<ion-header>
  <ion-navbar>
    <ion-title>
      Bestellen
    </ion-title>
    <ion-buttons end>
      <button ion-button (click)="closeModal()">Sluiten</button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-item>
    <ion-label style="width: 70%;">Gewenste afhaaltijd</ion-label>
    <ion-datetime displayFormat="HH:mm" pickerFormat="HH mm" [(ngModel)]="order.dateWanted"></ion-datetime>
  </ion-item>
  <ion-item>
    <ion-label style="width: 70%;">Voornaam</ion-label>
    <ion-input required placeholder="Voornaam" [(ngModel)]="order.firstName"></ion-input>
  </ion-item>

  <ion-item>
    <ion-label style="width: 70%;">Familienaam</ion-label>
    <ion-input required placeholder="Familienaam" [(ngModel)]="order.lastName"></ion-input>
  </ion-item>

  <ion-list inset>
    <ion-item *ngFor="let orderItem of order.orderItems">
      <div style="display: flex; width: auto;">
        <div style="display: flex; width: 15%;">
          {{orderItem.amount}}x
        </div>
        <div style="display: flex; width: 70%;">
          {{orderItem.product.name}}
        </div>
        <div style="display: flex; width: 15%;">
          € {{orderItem.amount*orderItem.product.price | number :'1.2-2'}}
        </div>
      </div>
    </ion-item>
  </ion-list>

  <ion-item>
    <button ion-button clear class="clear-button" color="text" (click)="closeModal()" class="modal-button">Annuleren
    </button>
    <button ion-button clear class="clear-button" color="danger" (click)="doOrder()" class="modal-button">Bestellen
    </button>
  </ion-item>
</ion-content>
